/**
 * Display list of features
 *
 * @element eox-drawtools-list
 */
export class EOxDrawToolsList extends LitElement {
    static properties: {
        eoxDrawTools: {
            attribute: boolean;
            state: boolean;
        };
        eoxMap: {
            attribute: boolean;
            state: boolean;
        };
        olMap: {
            attribute: boolean;
            state: boolean;
        };
        draw: {
            attribute: boolean;
            state: boolean;
        };
        drawLayer: {
            attribute: boolean;
            state: boolean;
        };
        drawnFeatures: {
            attribute: boolean;
            state: boolean;
            type: ArrayConstructor;
        };
        featureName: {
            attribute: boolean;
            state: boolean;
            type: StringConstructor;
        };
        featureNameKey: {
            attribute: boolean;
            state: boolean;
            type: StringConstructor;
        };
        modify: {
            attribute: boolean;
            state: boolean;
        };
        unstyled: {
            type: BooleanConstructor;
        };
    };
    /**
     * @type {import("@eox/map").EOxMap["selectInteractions"][string]}
     */
    hoverInteraction: import("@eox/map").EOxMap["selectInteractions"][string];
    /**
     * @type {import("@eox/map").EOxMap["selectInteractions"][string]}
     */
    clickInteraction: import("@eox/map").EOxMap["selectInteractions"][string];
    /**
     * @type string | number
     */
    hoverId: string | number;
    /**
     * @type string | number
     */
    clickId: string | number;
    /**
     * @type import("../main").EOxDrawTools;
     */
    eoxDrawTools: import("../main").EOxDrawTools;
    /**
     * @type import("@eox/map").EOxMap
     */
    eoxMap: import("@eox/map").EOxMap;
    /**
     * @type import("ol").Map
     */
    olMap: import("ol").Map;
    /**
     * The current native OpenLayers `draw` interaction
     * @type import("ol/interaction").Draw
     */
    draw: import("ol/interaction").Draw;
    /**
     * The current native OpenLayers draw `layer`
     * @type import("ol/layer").Vector<import("ol/source").Vector>
     */
    drawLayer: import("ol/layer").Vector<import("ol/source").Vector>;
    /**
     * The array of drawn native OpenLayers features. Normally includes only one feature,
     * until multiple feature drawing is enabled.
     *
     * @type Array<import("ol").Feature>
     */
    drawnFeatures: Array<import("ol").Feature>;
    /**
     * Default display name for features
     */
    featureName: string;
    /**
     * The key of the property to display in the feature list.
     */
    featureNameKey: any;
    /**
     * The current native OpenLayers `modify` interaction
     * @type import("ol/interaction").Modify
     */
    modify: import("ol/interaction").Modify;
    /**
     * Render the element without additional styles
     */
    unstyled: boolean;
    /**
     * Handles the deletion of an individual feature.
     *
     * @param {Event & { target: HTMLButtonElement }} evt - Event object containing button target.
     */
    _handleDelete(evt: Event & {
        target: HTMLButtonElement;
    }): void;
    /**
     * Handles the selection and deselection of a feature from the list.
     *
     * @param {import("ol").Feature} feature - The selected feature.
     */
    _handleFeatureSelectAndDeselect(feature: import("ol").Feature): void;
    /**
     *
     * @param {number | string | undefined} featureId - The ID of the feature to hover.
     * @param {Boolean} mouseOut - Flag indicating mouse out event.
     */
    _handleHoverFeature(featureId: number | string | undefined, mouseOut?: boolean): void;
    /**
     * Initiates initial settings and event triggers upon the component's first update.
     */
    firstUpdated(): void;
    /**
     * Overrides createRenderRoot to handle shadow DOM.
     */
    createRenderRoot(): this;
    render(): import("lit-html").TemplateResult<1>;
}
import { LitElement } from "lit";
//# sourceMappingURL=list.d.ts.map