/**
 * Initializes upload-related event listeners for drag-and-drop interactions on a map element.
 * It configures the map to react visually to drag-and-drop actions and processes dropped files.
 *
 * @param {import("../main.js").EOxDrawTools} EOxDrawTool - The drawing tool instance.
 * @param {import("@eox/map").EOxMap} EOxMap - The EOx Map instance.
 */
export function initMapDragDropImport(EOxDrawTool: import("../main.js").EOxDrawTools, EOxMap: import("@eox/map").EOxMap): void;
/**
 * Handles file input from drag-and-drop or file selection events,
 * forwarding each file to a specified processing function.
 *
 * @param {DragEvent} e - The event object from the file input interaction.
 * @param {import("../main.js").EOxDrawTools} EOxDrawTool - The drawing tool instance.
 */
export function handleFiles(e: DragEvent, EOxDrawTool: import("../main.js").EOxDrawTools): void;
//# sourceMappingURL=generate-upload-events.d.ts.map