export default emitDrawnFeaturesMethod;
/**
 * *
 */
export type EmitFormat = import("ol").Feature[] | ReturnType<typeof featuresToGeoJson> | ReturnType<typeof featuresToWKT>;
/***
 * @typedef {import("ol").Feature[]
 * | ReturnType<typeof featuresToGeoJson>
 * | ReturnType<typeof featuresToWKT>} EmitFormat
 */
/**
 * Emits drawn features after a timeout to allow updating drawn features.
 *
 * @param {import("../../main").EOxDrawTools} EoxDrawTool - The drawing tool instance.
 * @param {(value:EmitFormat) => void} drawUpdateEvent - event to be triggered after drawFeature is updated
 */
declare function emitDrawnFeaturesMethod(EoxDrawTool: import("../../main").EOxDrawTools, drawUpdateEvent: (value: EmitFormat) => void): void;
import { featuresToGeoJson } from "../../helpers";
import { featuresToWKT } from "../../helpers";
//# sourceMappingURL=emit-drawn-features.d.ts.map